Bug 320471 - "Maintenance / Merge Duplicates" should default to "do nothing"
Summary: "Maintenance / Merge Duplicates" should default to "do nothing"
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: 4.4
Platform: Compiled Sources Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks: 320635
  Show dependency treegraph
 
Reported: 2013-05-30 10:31 UTC by Martin Jost
Modified: 2013-06-04 21:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Jost 2013-05-30 10:31:01 UTC
When starting "Maintenance / Merge Duplicates" it comes up with the following defaults:
- "Move to trash"
- "Merge these images" set for every duplicate found
- "First" image ticked for each duplicate

I consider this rather dangerous. The default should be none selected (like as result of clicking "Select none" below the list)

Reproducible: Always

Steps to Reproduce:
Start "Maintenance / Merge Duplicates" with some duplicates present

Actual Results:  
It comes up with the following defaults:
- "Move to trash"
- "Merge these images" set for every duplicate found
- "First" image ticked for each duplicate

Expected Results:  
No image ticked with "Merge these images"
(like after clicking "Select none" below the list)

On 29. May 2013 Johannes Zarl  <isilmendil@isilme.lupus.uberspace.de> confirmed this in mail thread
"Re: [KPhotoAlbum] Maintenance / Merge duplicates" and asked for entry to be created in tracker
Comment 1 Johannes Zarl-Zierl 2013-06-04 21:12:32 UTC
Git commit ff3ed8738035f9adc1a08af99200db9b8f2b6abe by Johannes Zarl.
Committed on 04/06/2013 at 23:05.
Pushed by johanneszarl into branch 'master'.

DuplicateMerger: select none by default.

Don't select any entry in the duplicate merger to avoid accidental
deletion of images.

M  +1    -1    MainWindow/DuplicateMerger/DuplicateMatch.cpp

http://commits.kde.org/kphotoalbum/ff3ed8738035f9adc1a08af99200db9b8f2b6abe